Source: kosmindoormap
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: bison,
               cmake,
               debhelper-compat (= 13),
               flex,
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kservice-dev,
               libkopeninghours-qt6-dev,
               libkpublictransport-dev,
               libprotobuf-dev,
               osmctools,
               pkg-kde-tools-neon,
               protobuf-compiler,
               qt6-base-dev,
               qt6-declarative-dev,
               zlib1g-dev
Standards-Version: 4.6.2

Package: kosmindoormap-dev
Section: libdevel
Architecture: any
Depends: libkosm1 (= ${binary:Version}),
         libkosmindoormap1 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Description: OSM multi-floor indoor map renderer
 Open Stree Map indoor map renderer
 .
 Contains development files.

Package: libkosmindoormap1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OSM multi-floor indoor map renderer
 Open Stree Map indoor map renderer

Package: libkosm1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OSM multi-floor indoor map renderer
 Open Stree Map indoor map renderer

Package: qml6-module-org-kde-kosmindoormap
Architecture: any
Depends: qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: OSM multi-floor indoor map renderer QML module
 Open Stree Map indoor map renderer module for QML
